<?php get_header(); ?>

<div id="container">
  <div id="content">
    <!-- This sets the $curauth variable -->
    <?php 
if(isset($_GET['author_name'])) :
$curauth = get_userdatabylogin($author_name); // NOTE: 2.0 bug requires get_userdatabylogin(get_the_author_login());
else :
$curauth = get_userdata(intval($author));
endif;
?>
    
    <div class ="textbody">
     <?php echo get_avatar($curauth->user_email, '96', $avatar); ?>


      <h2>About: <?php echo $curauth->nickname; ?></h2>
      <dl>
        <dt><h3>Website</h3></dt>
        <dd><a href="<?php echo $curauth->user_url; ?>"><?php echo $curauth->user_url; ?></a></dd><br />
        <dt><h3>Profile</h3></dt>
        <dd><?php echo $curauth->user_description; ?></dd>
      </dl>
      <h2>Posts by <?php echo $curauth->nickname; ?>:</h2>
      <ul>
        <!-- The Loop -->
        <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
       
        <li> <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>">
          <?php the_title(); ?>
          </a>,
          <?php the_time('d M Y'); ?>
          in
          <?php the_category('&');?>
        </li>
        <li>
        <div class="navigation">
		<?php wp_link_pages('before=<div id="page-links">&after=</div>'); ?>
        </div><!--/navigation-->
        </li>
        <?php endwhile; else: ?>
        <p>
          <?php _e('No posts by this author.'); ?>
        </p>
        <?php endif; ?>
        <!-- End Loop -->
      </ul>
    </div><!--/textbody-->
    <div id="sidebarContainer">
      <div style="float:left;">
        <?php get_sidebar('left'); ?>
      </div>
      <div style="float:right;">
        <?php get_sidebar('right'); ?>
      </div>
      <div class="clear"></div>
    </div>
    <!--/sidebarContainer-->
  </div>
  <!--/content-->
</div>
<!--/container-->
<?php /*?><div id="container">
  
  <div id="content">
  
    <?php if (have_posts()) : ?>
    <?php while (have_posts()) : the_post(); ?>
    <h3 class="toggler"><a href="#<?php the_ID(); ?>" title="<?php the_title_attribute(); ?>">
      <?php the_title(); ?>
      </a> <span class="date">
      <?php the_time('F jS, Y') ?>
      </span> </h3>
    <div class="accordion">
      <div class ="textbody">
        <?php the_content('Read the rest of this entry &raquo;'); ?>
        <p class="postmetadata"> Written by
          <?php the_author_posts_link(); ?>
          <br />
          <?php the_tags('Tags: ', ', ', '<br />'); ?>
          Posted in
          <?php the_category(', ') ?>
          |
          <?php edit_post_link('Edit', '', ' | '); ?>
          <?php comments_popup_link('Leave a Reply &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
        </p>
      </div>
    </div>
    <?php endwhile; ?>
    <div class="navigation">
      <div class="alignleft">
        <?php next_posts_link('&laquo; Older Entries') ?>
      </div>
      <div class="alignright">
        <?php previous_posts_link('Newer Entries &raquo;') ?>
      </div>
    </div>
    <?php else : ?>
    <h2 class="center">Not Found</h2>
    <p class="center">Sorry, but you are looking for something that isn't here.</p>
    <?php get_search_form(); ?>
    <?php endif; ?>
    <div id="sidebarContainer">
      <div style="float:left;">
        <?php get_sidebar('left'); ?>
      </div>
      <div style="float:right;">
        <?php get_sidebar('right'); ?>
      </div>
      <div class="clear"></div>
    </div>
    <!--/sidebarContainer-->
  </div>
</div><?php */?>
<?php get_footer(); ?>
