<?php get_header(); ?>

<div id="container">
  <div id="content">
    <?php if (have_posts()) : ?>
    <?php while (have_posts()) : the_post(); ?>
    <div <?php post_class(); ?>>
      <h3 class="toggler"><a href="#<?php the_ID(); ?>" title="<?php the_title_attribute(); ?>">
        <?php the_title(); ?>
        </a> <span class="date">
        <?php the_time('F jS, Y') ?>
        </span> </h3>
      <div class="accordion">
        <div class ="textbody">
          <?php the_content('Read more')?>
          <p class="postmetadata"> Written by
            <?php the_author_posts_link(); ?>
            <br />
            <a href="<?php the_permalink(); ?>">Permalink</a>
            |
            <?php edit_post_link('Edit', '', ' | '); ?><br />
            <?php comments_popup_link('Leave a Reply &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
          </p>
        </div>
      </div>
    </div>
    <!--/post_class-->
    <?php endwhile; ?>
    <div class="navigation">
      <?php wp_link_pages('before=<div id="page-links">&after=</div>'); ?>
    </div>
    <?php else : ?>
    <h2 class="center">Not Found</h2>
    <p class="center">Sorry, but you are looking for something that isn't here.</p>
    <?php get_search_form(); ?>
    <?php endif; ?>
    <div id="sidebarContainer">
      <div style="float:left;">
        <?php get_sidebar('left'); ?>
      </div>
      <div style="float:right;">
        <?php get_sidebar('right'); ?>
      </div>
      <div class="clear"></div>
    </div>
    <!--/sidebarContainer-->
  </div>
  <!--/content-->
</div>
<!--/container-->
<?php get_footer(); ?>
