<?php
/**
 * @package WordPress
 * @subpackage TheMightyMoo_theme
 */

get_header(); ?>

<div id="container">
  <div id="content">
    
    
    <div class ="textbody">
     
     <?php if (have_posts()) : ?>

		<h2 class="pagetitle">Search Results</h2>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div>


		<?php while (have_posts()) : the_post(); ?>

			<div <?php post_class() ?>>
				<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
				<small><?php the_time('l, F jS, Y') ?></small>
                
                <?php the_excerpt(); ?>

				<p class="postmetadata"><?php the_tags('Tags: ', ', ', '<br />'); ?> Posted in <?php the_category(', ') ?> | <?php edit_post_link('Edit', '', ' | '); ?>  <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></p>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<?php wp_link_pages('before=<div id="page-links">&after=</div>'); ?>
		</div>

	<?php else : ?>

		<h2 class="center">No posts found. Try a different search?</h2>
		<?php get_search_form(); ?>

	<?php endif; ?>
     
     
    </div><!--/textbody-->
    <div id="sidebarContainer">
      <div style="float:left;">
        <?php get_sidebar('left'); ?>
      </div>
      <div style="float:right;">
        <?php get_sidebar('right'); ?>
      </div>
      <div class="clear"></div>
    </div>
    <!--/sidebarContainer-->
  </div>
  <!--/content-->
</div>
<!--/container-->

<?php get_footer(); ?>
