<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */

get_header();
?>

<div id="container">
  <div id="content">
    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
    <h3 class="toggler"><a href="#<?php the_ID(); ?>" title="<?php the_title_attribute(); ?>">
      <?php the_title(); ?>
      </a> <span class="date">
      <?php the_time('F jS, Y') ?>
      <!-- by <?php the_author() ?> -->
      </span> </h3>
    <div class="accordion">
      <div class ="textbody">
        <?php the_content(); ?>
        <?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
        <?php the_tags( '<p>Tags: ', ', ', '</p>'); ?>
        <p class="postmetadata"> This entry was posted on
          <?php the_time('l, F jS, Y') ?>
          at
          <?php the_time() ?>
          and is filed under
          <?php the_category(', ') ?>
          .
          You can follow any responses to this entry through the
          <?php post_comments_feed_link('RSS 2.0'); ?>
          feed.
          <?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Both Comments and Pings are open ?>
          You can <a href="#respond">leave a response</a>, or <a href="<?php trackback_url(); ?>" rel="trackback">trackback</a> from your own site.
          <?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Only Pings are Open ?>
          Responses are currently closed, but you can <a href="<?php trackback_url(); ?> " rel="trackback">trackback</a> from your own site.
          <?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Comments are open, Pings are not ?>
          You can skip to the end and leave a response. Pinging is currently not allowed.
          <?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Neither Comments, nor Pings are open ?>
          Both comments and pings are currently closed.
          <?php } edit_post_link('Edit this entry','','.'); ?>
        </p>
        
      </div>
    </div>
  </div>
  
  <?php comments_template(); ?>
  
  <?php endwhile; else: ?>
  <h2 class="center">Not Found</h2>
  <p class="center">Sorry, but you are looking for something that isn't here.</p>
  <?php get_search_form(); ?>
  <?php endif; ?>
</div>      
        
<?php get_footer(); ?>
